# Nextcloud sur VPS/Plesk:



https://docs.nextcloud.com/server/18/admin_manual/index.html



Se mettre dans le répertoire de Nextcloud:

```bash
~$ cd ~/httpdocs/nextcloud
```

Activer le mode maintenance:

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php occ maintenance:mode --on
The current PHP memory limit is below the recommended value of 512MB.
Maintenance mode enabled
```

Lance une réparation:

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php occ maintenance:repair
```

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php updater/updater.phar
Nextcloud Updater - version: v16.0.3-3-ga0c2b25 dirty

Current version is 18.0.3.

No update available.

Nothing to do.
```

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php occ upgrade
The current PHP memory limit is below the recommended value of 512MB.
Nextcloud is already latest version
```

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php occ maintenance:mode --off
The current PHP memory limit is below the recommended value of 512MB.
Maintenance mode disabled
```

```bash
~/httpdocs/nextcloud$ sudo -u bruno /opt/plesk/php/7.3/bin/php console.php files:scan --all
The current PHP memory limit is below the recommended value of 512MB.
Starting scan for user 1 out of 1 (bruno)
+---------+-------+--------------+
| Folders | Files | Elapsed time |
+---------+-------+--------------+
| 5       | 16    | 00:00:00     |
+---------+-------+--------------+
```



#### Joplin:

```bash
bruno@localhost:~/.nextcloud/data/9d67e72f9807/bruno/files$ l
total 10728
drwxr-xr-x 5 bruno psacln    4096 Apr 12 08:39  .
drwxr-xr-x 6 bruno psacln    4096 Apr 12 09:59  ..
drwxr-xr-x 2 bruno psacln    4096 Apr 11 19:15  Documents
drwxr-xr-x 5 bruno psacln   16384 Apr 12 12:55  .Joplin
-rw-r--r-- 1 bruno psacln 3963036 Apr 11 19:15 'Nextcloud intro.mp4'
-rw-r--r-- 1 bruno psacln 6933565 Apr 11 19:15 'Nextcloud Manual.pdf'
-rw-r--r-- 1 bruno psacln   50598 Apr 11 19:15  Nextcloud.png
drwxr-xr-x 2 bruno psacln    4096 Apr 11 19:15  Photos
```





 [Nextcloud sur NAS Synology](../Synology/nextcloud.md) 

 [Installer Nextcloud en ligne de commande](../Divers/nextcloud.md) 